Page MenuHomePhabricator

hg-core: add a `ListRevTrackedFiles` operation
ClosedPublic

Authored by acezar on Sep 11 2020, 3:53 AM.

Details

Summary

List files tracked at a given revision.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 11 2020, 3:53 AM
Alphare accepted this revision.Sep 17 2020, 6:23 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/hg-core/src/revlog/revlog.rs
87

Ha, I see that my comment on the ancestor patch is not useful anymore.

acezar updated this revision to Diff 22725.Sep 18 2020, 10:49 AM
acezar marked an inline comment as done.Sep 18 2020, 10:56 AM
acezar added inline comments.
rust/hg-core/src/revlog/revlog.rs
87

moved in the other commit

acezar marked an inline comment as done.Sep 23 2020, 10:57 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.